qubes-whonix (0:11.0.0-1) jessie; urgency=medium

  [ Jason Mehring ]
  * bump version to 11.0.0

  [ Patrick Schleizer ]
  * synced COPYING with debian/copyright
  * added "Uploaders: Patrick Schleizer <adrelanos@whonix.org>" to
    debian/control
  * added changelog.upstream to fix lintian warning
  * bumped changelog version (to fix lintian warning about missing close
    ITP)
  * added creation of upstream changelog to fix lintian warning
  * debian/control: changed "Architecture:" from "any" to "all" -
    https://phabricator.whonix.org/T187
  * updated makefile generic to version 1.4
  * updated readme
  * updated makefile generic to version 1.5
  * added genmkfile to Build-Depends
  * updated changelog.upstream
  * updated changelog.upstream
  * packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie
    support
  * added debian/source/lintian-overrides with debian-watch-may-check-
    gpg-signature to fix lintian warning -
    https://phabricator.whonix.org/T277

  [ Jason Mehring ]
  * version 10.0.4

  [ Patrick Schleizer ]
  * lintian warning copyright fix

  [ Jason Mehring ]
  * Add pkgs directory to .gitignore
  * Fix re-enable control-port-filter
  * version 10.0.5

  [ Patrick Schleizer ]
  * fixed handling of changelog - https://phabricator.whonix.org/T193
  * skip rads on Qubes - https://phabricator.whonix.org/T306
  * skip rads systemd service on qubes -
    https://phabricator.whonix.org/T306

  [ Jason Mehring ]
  * Clear notes for Whonix 11
  * Update copyright dates to include 2015
  * Remove qubes-whonix-control-port-filter-python and rename add /
    rename Whonix config files
  * Added Qubes systemd override for swap-file-creator

  [ Patrick Schleizer ]
  * systemd unit: workaround/fix, removed spaces, likely bug in 'deb-
    systemd-helper' that prevents enabling the service by default -
    https://phabricator.whonix.org/T316
  * clean mechanism to skip starting services network-manager, spice-
    vdagent, swap-file-creator and whonix-initializer in Qubes using
    /etc/systemd/system/unit.service.d directory -
    https://phabricator.whonix.org/T315
  * removed spice-vdagent, swap-file-creator, whonix-initializer from
    postinst disable systemd units
  * use status files instead of 'touch' in postinst; use skip files
    rather than faking done files
  * added 'var/*' to debian/qubes-whonix.install
  * fix, '| true' -> '|| true'
  * deleted /etc/tmpfiles.d/qubes-whonix-whonixcheck.conf because no
    longer required - https://phabricator.whonix.org/T326

  [ Jason Mehring ]
  * renamed: whonix-firewall -> whonix-firewall-plugin
  * renamed: init -> qubes-whonix-sysinit
  * renamed: qubes-whonix-firewall -> enable-firewall
  * renamed: removed original: init, qubes-whonix-firewall, whonix-
    firewall
  * network-proxy-setup: Removed ip_forward rule, moved updates-proxy
    code
  * enable-servides: Script added; called in sysinit boot stage
  * replace-ips: Modified to use new qubes-services
  * utility_functions: Removed code that created $QUBES_WHONIX ENV var
  * bind-dirs: Modified to use qubes-services
  * qubes-whonixsetup: Removed all manual start code for tor, sdwdate
    and whonixcheck
  * qubes-whonix-firewall.service: renamed Exec to enable-firewall
  * qubes-whonix-network.service: Removed/added depends and Pre/Posr
    starts
  * qubes-whonix-sysinit.service: Added to create required
    preconfigurations
  * Added systemd drop in to exclude unit files from activating in
    TemplateVM
  * qubes-whonix-tor.service: Added condition to start before
    whonixcheck; remove condition on /etc/init.d/tor
  * Added whonix-setup-wizard status-files to skip disclaimer and Tor
    setup
  * whonix_firewall: Switched to use qubes-services, added whonix-
    template 'rule'
  * uwt: use qubes-services; removed unneeded include
  * postinst: Removed sdwdate and whonixcheck from being disabled
  * Renamed whonixsetup.done to whonixsetup.skip
  * Removed WIP whonixcheck.* systemd releated files. Not needed
    anymore.
  * Renamed whonix-firewall-plugin -> whonix-firewall-plugin.sh
  * Renamed /etc/whonix.d/40_whonixcheck_qubes -> 40_qubes
  * added --wait option to iptables
  * Restarting instead of reloading due to upstream Tor bug
  * Changed location to store last know IP address to /var/cache/qubes-
    whonix from /etc
  * Removed now unneeded include and code
  * Added more comments, copyright and cleanup
  * Added copyright
  * qubes-whonix-sysinit: Added/moved additional init code
  * qubes-whonix-sysinit: Removed sudo, set whonix_repository.skip
    instead of .done & cleanup
  * qubes-whonix-sysinit: Added copyright
  * network-proxy-setup: Added copyright
  * enable-services: Added copyright and comments
  * enable-firewall: Added whonix-firewall-failed service, removed sudo
  * enable-firewall: Added copyright
  * alert: Added copyright
  * bind-dirs: Added copyright
  * messages: Added firewall-failed and tor-disabled messages &
    copyright
  * qubes-whonixsetup: Added code to deal with firewall failure and tor-
    disable serivce
  * utility_functions.sh: Removed sudo, added comments and copyright
  * Mass add/modify copyright, comments
  * Added a postinit service to take care of bind-dirs and stuff that
    needs to happen after that like replace-ips
  * replace-ips: moved one directory since its not an init file
  * renamed bind-dirs to bind-directories
  * Moved some code from qubes-whonix-sysinit to qubes-whonix-postinit
  * Commented qubes-whonix iptables rules
  * enable-firewall: Remove iptables --wait hack; use whonix-
    gateway/workstation service to identify mode
  * Added whonix torbrowser config to specify tb installation directory
  * Update postinst to use new replace-ips location
  * Updated Whonix 11 NOTES

  [ Patrick Schleizer ]
  * use iptables --wait - https://phabricator.whonix.org/T344
  * As per https://lists.alioth.debian.org/pipermail/pkg-systemd-
    maintainers/2015-June/007613.html debian-systemd mailing list:
    cannot extend network-manager unit file by using network-
    manager.service.d we need to do etc/systemd/system/network-
    manager.service.d/40_qubes.conf ->
    etc/systemd/system/NetworkManager.service.d/40_qubes.conf
    https://phabricator.whonix.org/T350

  [ Jason Mehring ]
  * Revert custom torbrowser location per Patricks request
  * tests: Change dist to jessie for local repo tests; add VERBOSE var

  [ Patrick Schleizer ]
  * improved 'Whonix-Gateway NetVM required for updates' message
    Conflicts:  usr/lib/qubes-whonix/messages.yaml
  * removed spaces

 -- Jason Mehring <nrgaway@gmail.com>  Sat, 25 Jul 2015 00:56:31 -0400

qubes-whonix (0:10.0.5-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Add pkgs directory to .gitignore
  * Fix re-enable control-port-filter

 -- Jason Mehring <nrgaway@gmail.com>  Wed, 29 Apr 2015 06:57:48 -0400

qubes-whonix (0:10.0.4-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Updated NOTES
  * Removed injected whonix_firewall rules and added to
    /etc/whonix_firewall.d/32_qubes
  * Moved qubesdb to utility_functions.sh
  * Changed ip-replace filelist and triggers

 -- Jason Mehring <nrgaway@gmail.com>  Tue, 28 Apr 2015 09:39:29 -0400

qubes-whonix (0:10.0.3-1) wheezy; urgency=medium

  [ Patrick Schleizer ]
  * added creation of upstream changelog to fix lintian warning
  * updated changelog.upstream

  [ Jason Mehring ]
  * Use trusted mode instead of installing keyring for local repo
    testing
  * Updated Qubes protected-files location
  * removed duplicate FILES entry
  * Renamed and configured systemd configurations files so they will not
    conflict with future Whonix versions
  * - Use /etc/whonix.d/50_whonixcheck_qubes - Disable/Re-enable qubes-
    whonix-network/firewall, tor, control-port-filter - sorted and added
    more replaceip triggers
  * Sorted and added more replaceip triggers
  * Added qubes-core-agent (>= 2.1.60) as a depend

 -- Jason Mehring <nrgaway@gmail.com>  Sun, 26 Apr 2015 02:59:07 -0400

qubes-whonix (0:10.0.2-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Update files to search and replace IP addresses Fix syntax typo for
    whonix workstation that prevented search and replace
  * start whonixcheck on startup for workstation
  * Use new whonix-setup-wizard directory for *.done files Use
    50_whonixcheck_user instead of 30_whonixcheck_default Enable new
    control-port-filter-python.service
  * Remove unneeded bind directories due to new localtion of whonix
    status files
  * - Remove references to old whonix status files; use new references -
    Start whonixcheck last - Add missing whonixcheck for workstation -
    Don't prompt to install repository in AppVM (Gateway or Workstation)
    - Prompt to install repository in templatevm
  * Add missing whonixcheck.conf file
  * Add systemd unit file for control-port-filter-python.service

 -- Jason Mehring <nrgaway@gmail.com>  Fri, 24 Apr 2015 06:04:21 -0400

qubes-whonix (0:10.0.1-1) wheezy; urgency=medium

  * version 10.0.1

 -- Jason Mehring <nrgaway@gmail.com>  Wed, 22 Apr 2015 23:02:29 -0400

qubes-whonix (0:9.6.6-1) wheezy; urgency=medium

  [ Patrick Schleizer ]
  * added genmkfile to Build-Depends
  * updated makefile generic to version 1.5
  * updated readme
  * updated makefile generic to version 1.4

  [ Jason Mehring ]
  * Commented out watchdog as it was resetting tor every minute
  * More specific reference to be able to inject firewall code was
    needed for Whonix 10

 -- Jason Mehring <nrgaway@gmail.com>  Wed, 22 Apr 2015 22:45:53 -0400

qubes-whonix (0:9.6.5-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Remove chattr +i and replace with a protected files routine
  * Notes with issues not yet resolved due to changes in Qubes or qubes-
    whonix
  * Added wip whonixcheck systemd unit file
  * Added a tor systemd unit files along with a wip unit file to
    implement hardening
  * Added ability to upgrade and dist-upgrade from local test repo
  * Streamlined enable/disable services; remove immutable bits
  * Make sure qubes-network is started before qubes-firewall
  * Keep whonixcheck and sdwdate disabled and manually start them to
    prevent false positive errors that tor is not started
  * Send a 0 when enabling a service

 -- Jason Mehring <nrgaway@gmail.com>  Wed, 22 Apr 2015 02:40:48 -0400

qubes-whonix (0:9.6.4-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Bump version to 9.6.4
  * Fix a bug that gave error on upgrade when restarting service
  * Use debhelper package install to install files to prevent tests from being part of package
  * Fixed an issue with restarting services and added whonix-setup-wizard cache dir
  * Added more options to make sure unwanted dirs like rpm or deb do not make it into Debian package
  * Removed stale references from notes
  * Added a update test script that will install a local repo and perform an update of package
    The test suite is excluded from built package
  * Updated changelog for 9.6.3

 -- Jason Mehring <nrgaway@gmail.com>  Mon, 23 Mar 2015 12:07:39 -0400

qubes-whonix (0:9.6.3-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Added /var/cache/whonix-setup-wizard to list of dirs to bind on
    startup
  * Updated Makefile.builder to work with new qubes-builder api
  * Bumped version to 9.6.3

 -- Jason Mehring <nrgaway@gmail.com>  Mon, 23 Mar 2015 06:12:02 -0400

qubes-whonix (0:9.6.2-1) unstable; urgency=medium

  [ Jason Mehring ]
  * Remove duplicate trigger /etc/network/interfaces.whonix
  * Fix typos
  * Renamed  32_uwt_default to 32_qubes
  * Don't need to replace IPs in /etc/whonix_firewall.d/30_default since
    all the IP's in that file are commented out
  * Create new file 35_qubes_stream_isolation_plugin and use it instead
    of replacing IPs in 31_anon_dist_stream_isolation_plugin
  * Fixed typo in README.md
  * Removed developer enable-iptables-logging script

  [ Patrick Schleizer ]
  * synced COPYING with debian/copyright
  * added "Uploaders: Patrick Schleizer <adrelanos@whonix.org>" to
    debian/control

  [ Jason Mehring ]
  * Updated 9.6.1 changelog with commit details and new versioning
    scheme
  * Changed Architecture to all from any as per Patricks request
  * Remove verbose tar and exclude directories like deb from orig tar
    file
  * Debian options to ignore directories like deb
  * Add version file and bump version to 9.6.2

 -- Jason Mehring <nrgaway@gmail.com>  Sun, 22 Feb 2015 14:22:45 -0500

qubes-whonix (0:9.6.1-1) unstable; urgency=medium

  [ Jason Mehring ]
  * Lintian package modifications
  * Tweaked rules to allow building on both Qubes and Whonix
  * Changed package name to qubes-whonix
  * Package rename fixes
  * Renamed 50_uwt_defaults per Patrick's request
  * Removed un-needed directives to create directories since the package
    builder will automatically create any required directories
  * Removed extra linefeed at end of files
  * Changed WHONIX_QUBES to QUBES_WHONIX and exit 0 if not running in
    Qubes environment
  * replaced make-helper.bsh script incase it was corrupt
  * Modified Makefile to read better
  * Remove duplicate entry from Makefile
  * Make replacement make-helper.bsh executable
  * move xenstore-read within a conditional statement
  * Removed un-needed enables for services in this package
  * Added haveged, nautilus-open-terminal as depends
  * Removed qubes-whonix-init.service and added it as a ExecStartPost to
    qubes-whonix-network.service
  * Make sure immutable files are locked always to prevent qubes
    programs from over-writing
  * Added CONTRIBUTING text
  * Ignore Wing Project files
  * Added depends and triggers for whonix-setup-wizard Added trigger for
    kde-audio to prevent showing in Qubes Ignore first-use notice
    Dropped some un-needed depends in control file
  * Renamed all bash libs with .sh extension; not executable and removed
    from scripts to be more standardized
  * Fix interest-noawait typo in triggers
  * Add missing line continuation symbol
  * Make sure /home/user/.gateway exists before attempting to touch file
    in directory
  * Forgot to change references to renamed scripts in postinit
  * Tweaked scripts to work with Whonix 9.6 properly
  * Make sure timezone is set to UTC
  * Modified make-helper.bsh to work with Qubes builder
  * Whonix 9.6 and added compatibility for Qubes R3

 -- Jason Mehring <nrgaway@gmail.com>  Sun, 22 Feb 2015 13:41:14 -0500

qubes-whonix (0:9.6.0-1) unstable; urgency=low

  * Initial release.

 -- Jason Mehring <nrgaway@gmail.com>  Fri, 30 Jan 2015 00:00:00 +0000
